> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Withdrawal Transactions by Address

> Retrieves all withdrawal transactions made by a specified address.

export const chain = '1';

<Badge color="yellow">Arbitrum One Mainnet</Badge> <Badge color="yellow">Arbitrum Sepolia Testnet</Badge> <Badge color="yellow">OP Mainnet</Badge> <Badge color="yellow">OP Sepolia Testnet</Badge>

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "blockNumber": "496234531",
        "timeStamp": "1787159092",
        "blockHash": "0x32e87bebfa7024c53c2bc7b1050d52cbb69caa7ad84b08f10c66726ee6026d29",
        "hash": "0x6ed77f95f0f96483a053d3053991d0eee9eb4d224508bb9f96962bda99c47f95",
        "nonce": "259",
        "from": "0x6d3ff6a8206a40d5a0089aab8bc8ebe8e2d676c8",
        "to": "0xffde4b34628df0c87a3a31d68c178a22ec62c204",
        "value": "20000000000000",
        "gas": "13595520",
        "gasPrice": "32178000",
        "input": "0x43f4e6ba0000000000000000000000000000000000000000000000000000000000000140000000000000000000000000000000000000000000000000000000000000508000000000000000000000000000000000000000000000000000000000000055a000000000000000000000000000000000000000000000000000000000000055c00000000000000000000000000000000000000000000000000000000000005ae000000000000000000000000000000000000000000000000000000000000076000000000000000000000000000000000000000000000000000000f830fc71e00000000000000000000000000000000000000000000000000000000000000001b9000000000000000000000000000000000000000000000056bc75e2d631000000000000000000000000000000000000000000000000000015af1d78b58c40000000000000000000000000000000000000000000000000000000000000000000d3000000000000000000000000c6962004f452be9203591991d15f6b388e09e8d000000000000000000000000000000000ffffffffffffffffffffffffffffffff00000000000000000000000000000000ffffffffffffffffffffffffffffffff0000000000000000000000002f5e87c9312fa29aed5c179e456625d79015299c00000000000",
        "cumulativeGasUsed": "10492249",
        "gasUsed": "9425167",
        "isError": "0",
        "errDescription": "",
        "txreceipt_status": "1",
        "status": "Waiting",
        "L1transactionhash": "",
        "tokenAddress": "0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0",
        "tokenValue": "2000000000000000000000"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/getwithdrawaltxs.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Withdrawal Transactions by Address
  version: 2.0.0
  description: Retrieves all withdrawal transactions made by a specified address.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Withdrawal Transactions by Address
      description: Retrieves all withdrawal transactions made by a specified address.
      operationId: getGetwithdrawaltxs
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 10 for Optimism or 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '10'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint.
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to getwithdrawaltxs for this endpoint.
          schema:
            type: string
            default: getwithdrawaltxs
          example: getwithdrawaltxs
        - name: address
          in: query
          required: true
          description: Address to check for cross-chain withdrawals from L2 to Ethereum.
          schema:
            type: string
          example: '0x80f3950a4d371c43360f292a4170624abd9eed03'
        - name: page
          in: query
          required: false
          description: Page number for pagination.
          schema:
            type: integer
          example: 1
        - name: offset
          in: query
          required: false
          description: >-
            Number of records per page. Use the page parameter for subsequent
            records.
          schema:
            type: integer
          example: 100
        - name: sort
          in: query
          required: false
          description: >-
            Sort order either `desc` for the latest transactions first or `asc`
            for the oldest transactions first.
          schema:
            type: string
          example: asc
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        blockNumber:
                          type: string
                          description: Block number in which the transaction was included.
                        timeStamp:
                          type: string
                          description: >-
                            Time the block was mined, as a UNIX timestamp in
                            seconds.
                        blockHash:
                          type: string
                          description: Hash of the block containing the transaction.
                        hash:
                          type: string
                          description: The transaction hash.
                        nonce:
                          type: string
                          description: >-
                            Number of transactions sent from the sending address
                            before this one.
                        from:
                          type: string
                          description: Address that sent the transaction.
                        to:
                          type: string
                          description: >-
                            Recipient address. Empty for contract-creation
                            transactions.
                        value:
                          type: string
                          description: >-
                            Amount of the native token transferred, in wei. Use
                            the [unit
                            converter](https://etherscan.io/unitconverter) to
                            convert between units.
                        gas:
                          type: string
                          description: >-
                            Maximum units of gas the sender allowed for the
                            transaction.
                        gasPrice:
                          type: string
                          description: Price paid per unit of gas, in wei.
                        input:
                          type: string
                          description: >-
                            Input data sent with the transaction, as a hex
                            string.
                        cumulativeGasUsed:
                          type: string
                          description: >-
                            Total gas used by all transactions up to and
                            including this one in the block.
                        gasUsed:
                          type: string
                          description: Units of gas actually consumed by the transaction.
                        isError:
                          type: string
                          description: >-
                            0 if the transaction executed successfully, 1 if it
                            failed.
                        errDescription:
                          type: string
                          description: >-
                            Description of the execution error, when isError is
                            1.
                        txreceipt_status:
                          type: string
                          description: >-
                            Transaction receipt status. 1 for success, 0 for
                            failure. Empty for pre-Byzantium blocks.
                        status:
                          type: string
                          description: >-
                            Current status of the withdrawal, for example
                            Waiting.
                        L1transactionhash:
                          type: string
                          description: >-
                            Hash of the L1 transaction that finalized the
                            withdrawal. Empty until the withdrawal is executed
                            on L1.
                        tokenAddress:
                          type: string
                          description: Address of the token withdrawn.
                        tokenValue:
                          type: string
                          description: >-
                            Amount of tokens withdrawn, in the token's smallest
                            unit.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````